Bug 91716 - [bisected] piglit.shaders.glsl-vs-int-attrib regresses on 32 bit BYT, HSW, IVB, SNB
Summary: [bisected] piglit.shaders.glsl-vs-int-attrib regresses on 32 bit BYT, HSW, IV...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-21 15:22 UTC by Mark Janes
Modified: 2015-09-14 19:18 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2015-08-21 15:22:29 UTC
Using NIR for vertex shaders regressed shaders.glsl-vs-int-attrib on some 32 bit hardware.

All platforms exhibit the same failure pattern:

piglit/bin/glsl-vs-int-attrib -auto -fbo

Probe color at (0,0) Expected: 0.000000 1.000000 0.000000
Observed: 1.000000 0.000000 0.000000


FWIW, this test was fixed for m32 earlier at mesa 1a93e7690dc90211164082d6a2d26d93da8127ef
Comment 1 Jason Ekstrand 2015-09-10 23:58:50 UTC
The following patch should fix this bug:

http://lists.freedesktop.org/archives/mesa-dev/2015-August/092474.html

While that patch will apply cleanly, you also need the first patch in the series or you'll get more regressions.  The two together does seem to fix this though.
Comment 2 Jason Ekstrand 2015-09-14 19:18:00 UTC
Fixed by:

commit b8d2263c83d29f4626ac0fe0316978aa6262aefb
Author: Antia Puentes <apuentes@igalia.com>
Date:   Mon Sep 14 09:50:59 2015 +0200

    i965/vec4_nir: Load constants as integers
    
    Loads constants using integer as their register type, like it is
    done in FS backend.
    
    No shader-db changes in HSW.
    
    Cc: "10.6 11.0" <mesa-stable@lists.freedesktop.org>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=91716
    Reviewed-by: Jason Ekstrand <jason.ekstrand@intel.com>


bug/show.html.tmpl processed on Mar 25, 2017 at 09:43:22.
(provided by the Example extension).